Bug 1571245 - Debug messages are added to the task details
Summary: Debug messages are added to the task details
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: web-admin-tendrl-commons
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.4.0
Assignee: gowtham
QA Contact: Filip Balák
URL:
Whiteboard:
Depends On:
Blocks: 1503137
TreeView+ depends on / blocked
 
Reported: 2018-04-24 11:52 UTC by gowtham
Modified: 2018-09-04 07:05 UTC (History)
5 users (show)

Fixed In Version: tendrl-commons-1.6.3-3.el7rhgs
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 07:04:50 UTC
Target Upstream Version:


Attachments (Terms of Use)
unmanage flow (74.18 KB, image/png)
2018-04-24 11:54 UTC, gowtham
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github Tendrl commons issues 934 0 None None None 2018-04-24 11:53:57 UTC
Red Hat Product Errata RHSA-2018:2616 0 None None None 2018-09-04 07:05:55 UTC

Description gowtham 2018-04-24 11:52:41 UTC
Description of problem:
Unmanage import flow task list contains debug messages as job updates. Debug messages can't be a job update.

Version-Release number of selected component (if applicable):


How reproducible:
Start unmanage cluster flow and a check job updates, which contains job updates are displayed.

Steps to Reproduce:
1. Fire unmange cluster flow
2. Wait for jobs to complete
3. check jobs updates contains debug messages are job updates.

Actual results:


Expected results:


Additional info:

Comment 2 gowtham 2018-04-24 11:54:42 UTC
Created attachment 1425977 [details]
unmanage flow

Comment 3 Martin Bukatovic 2018-04-25 10:26:59 UTC
Node agent filters out debug messages so that debug messages are not shown in
task events list (see screenshot).

Comment 6 Filip Balák 2018-05-18 10:19:30 UTC
Seems ok. --> VERIFIED

Tested with:
tendrl-ansible-1.6.3-3.el7rhgs.noarch
tendrl-api-1.6.3-3.el7rhgs.noarch
tendrl-api-httpd-1.6.3-3.el7rhgs.noarch
tendrl-commons-1.6.3-4.el7rhgs.noarch
tendrl-grafana-plugins-1.6.3-2.el7rhgs.noarch
tendrl-grafana-selinux-1.5.4-2.el7rhgs.noarch
tendrl-monitoring-integration-1.6.3-2.el7rhgs.noarch
tendrl-node-agent-1.6.3-4.el7rhgs.noarch
tendrl-notifier-1.6.3-2.el7rhgs.noarch
tendrl-selinux-1.5.4-2.el7rhgs.noarch
tendrl-ui-1.6.3-1.el7rhgs.noarch

Comment 8 errata-xmlrpc 2018-09-04 07:04:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2616


Note You need to log in before you can comment on or make changes to this bug.